VisualEditor: Resizing an image which doesn't already have an explicit size set doesn't work
Closed, ResolvedPublic

Description

What it says on the tin; if you resize an image, it with reports "this isn't a change, can't save" or saves and silently doesn't do anything.


Version: unspecified
Severity: normal

bzimport set Reference to bz50645.
Ironholds created this task.Via LegacyJul 3 2013, 8:36 AM
gerritbot added a comment.Via ConduitJul 16 2013, 2:09 PM

Change 73965 had a related patch set uploaded by Esanders:
Create MWResizeableNode mixin to control defaultSize flag

https://gerrit.wikimedia.org/r/73965

gerritbot added a comment.Via ConduitJul 16 2013, 10:51 PM

Change 73965 merged by jenkins-bot:
Create MWResizeableNode mixin to control defaultSize flag

https://gerrit.wikimedia.org/r/73965

Jdforrester-WMF added a comment.Via ConduitJul 16 2013, 11:06 PM

Fixed and will be going out in a few minutes.

Jdforrester-WMF added a comment.Via ConduitJul 18 2013, 12:18 AM
  • Bug 51026 has been marked as a duplicate of this bug. ***
Mdennis-WMF added a comment.Via ConduitFeb 12 2014, 2:12 PM

I'm not sure if this is the same issue, but as reported on English Wikipedia and tested by myself, using the image resizer to "Make full size" resulted in either a notice that no change had been made or a silent failure to save.

This was tested on FF26, W7 and Chrome 32.0.1700.107 m, W7.

The reporting editor concludes that "These new settings, for what they are worth, only work if the image already has a size indication (200px, 250px*250px, whatever), not when it only has a 'thumb' indication. Sadly, the latter is the default and by far most common situation."

He also questions the purpose of "Make full size", but I'll report that separately.

See: https://en.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/Feedback&oldid=595141503#Advanced_image_settings.3F_More_VisualEditor_rubbish.

Esanders added a comment.Via ConduitFeb 12 2014, 4:43 PM

Moved to bug 61270

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.